Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.model
Class ConstructorDescr

    java.lang.Object
      com.sun.tdk.signaturetest.model.MemberDescription
          com.sun.tdk.signaturetest.model.ConstructorDescr

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class ConstructorDescr

extends MemberDescription

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONSTRUCTOR_NAME`
`static ConstructorDescr[]` | `EMPTY_ARRAY`

Fields inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`ARGS_DELIMITER, CLASS_DELIMITER, delimiter, EMPTY_THROW_LIST, MEMBER_DELIMITER, NO_ARGS, NO_DECLARING_CLASS, NO_TYPE, THROWS_DELIMITER`

Constructor Summary
`ConstructorDescr()`
`ConstructorDescr(ClassDescription clazz, int modifiers)`
`ConstructorDescr(java.lang.Class clazz, int modifiers)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getSignature()`
`int` | `hashCode()`
`boolean` | `isCompatible(MemberDescription m)`
`boolean` | `isConstructor()` Check if `this` item describes some constructor.
`protected void` | `populateDependences(java.util.Set set)`
`void` | `setupConstuctorName(java.lang.String clName)`
`java.lang.String` | `toString()`

Methods inherited from class com.sun.tdk.signaturetest.model.MemberDescription
`addDependency, addModifier, clone, getAnnoList, getArgs, getClassShortName, getDeclaringClassName, getMemberType, getModifiers, getName, getQualifiedName, getThrowables, getThrows, getType, getTypeName, getTypeName, getTypeParameters, hasModifier, isAbstract, isClass, isField, isFinal, isInner, isInterface, isMarked, isMethod, isPrivate, isProtected, isPublic, isStatic, isSuperClass, isSuperInterface, mark, removeModifier, setAnnoList, setArgs, setDeclaringClass, setModifiers, setNoDeclaringClass, setThrowables, setType, setTypeParameters, setupClassName, setupClassName, setupGenericClassName, setupGenericClassName, setupInnerClassName, setupMemberName, setupMemberName, unmark, valueToString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY_ARRAY

    public static final ConstructorDescr[] EMPTY_ARRAY

### CONSTRUCTOR_NAME

    public static final java.lang.String CONSTRUCTOR_NAME

See Also:
  Constant Field Values

Constructor Detail

### ConstructorDescr

    public ConstructorDescr()

### ConstructorDescr

    public ConstructorDescr(ClassDescription clazz,
                            int modifiers)

### ConstructorDescr

    public ConstructorDescr(java.lang.Class clazz,
                            int modifiers)

Method Detail

### setupConstuctorName

    public void setupConstuctorName(java.lang.String clName)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MemberDescription`

### isCompatible

    public boolean isCompatible(MemberDescription m)

  Specified by:
    `isCompatible` in class `MemberDescription`

### isConstructor

    public boolean isConstructor()

  Description copied from class: `MemberDescription`
  Check if `this` item describes some constructor.

  Overrides:
    `isConstructor` in class `MemberDescription`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSignature

    public java.lang.String getSignature()

### populateDependences

    protected void populateDependences(java.util.Set set)

  Overrides:
    `populateDependences` in class `MemberDescription`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD